<script>
<?php include 'script.js';?>
</script>

<div class="wrap">
    <h2>Transactionale configuration</h2>
    <form method="post" action="options.php">
<?php 
    settings_fields( 'tr-config-group' );
    do_settings_sections( 'tr-config-group' );

    if (get_option('tr_pass_phone') !== '0') {
        update_option('tr_pass_phone', 1);
    }
?>
     <table class="form-table">
        <tr valign="top">
            <th scope="row">Transactionale status</th>
            <td>
                <?php settings_errors( 'tr_enabled', false, true ) ?>
                <select name="tr_enabled" required>
                    <option value=""></option>
                    <option value="1" <?= get_option('tr_enabled') === '1' ? 'selected' : '' ?>>Enabled</option>
                    <option value="0" <?= get_option('tr_enabled') === '0' ? 'selected' : '' ?>>Disabled</option>
                </select>
            </td>

        </tr>
         
        <tr valign="top">
            <th scope="row">Auth Key</th>
            <td>
                <?php settings_errors( 'tr_api_key', false, true ) ?>
                <input type="text" name="tr_api_key" value="<?php echo esc_attr( get_option('tr_api_key') ); ?>" required />
            </td>
        </tr>
        
        <tr valign="top">
            <th scope="row">Country Code</th>
            <td>
                <?php settings_errors( 'tr_country_code', false, true ) ?>
                <input type="text" name="tr_country_code" value="<?php echo esc_attr( get_option('tr_country_code') ); ?>" required />
            </td>
        </tr>

        <tr valign="top">
            <th scope="row">Product Format</th>
            <td>
                <select name="tr_product_format_full" required>
                    <option value="1" <?= get_option('tr_product_format_full') === '1' ? 'selected' : '' ?>>Full</option>
                    <option value="0" <?= get_option('tr_product_format_full') === '0' ? 'selected' : '' ?>>Id only</option>
                </select>
            </td>
        </tr>

        <tr valign="top">
            <th scope="row">Show 3rd party opt-in checkbox</th>
            <td>
                <?php settings_errors( 'tr_optin_enabled', false, true ) ?>
                <select name="tr_optin_enabled" required>
                    <option value=""></option>
                    <option value="1" <?= get_option('tr_optin_enabled', '1') === '1' ? 'selected' : '' ?>>Enabled</option>
                    <option value="0" <?= get_option('tr_optin_enabled', '1') === '0' ? 'selected' : '' ?>>Disabled</option>
                </select>
                <br>
                <span class="help-text">
                    When disabled, the email touchpoint will not be used.
                </span>
            </td>
        </tr>
        
        <tr valign="top">
            <th scope="row">
                Touchpoint Type
            </th>
            <td>
                <select name="tr_touchpoint_web" id="touchpoint_type" required>
                        <option value="2" <?= get_option('tr_touchpoint_web') === '2' ? 'selected' : '' ?>>Auto (Mail + Web)</option>
                        <option value="1" <?= get_option('tr_touchpoint_web') === '1' ? 'selected' : '' ?>>Web</option>
                        <option value="0" <?= get_option('tr_touchpoint_web') === '0' ? 'selected' : '' ?>>Email</option>
                </select>
            </td>
        </tr>
     
        <tr valign="top"  id="touchpoint_id">
            <th scope="row">Web Touchpoint Id</th>
            <td>
                <?php settings_errors( 'tr_touchpoint_id', false, true ) ?>
                <input type="text" name="tr_touchpoint_id" value="<?php echo esc_attr( get_option('tr_touchpoint_id') ); ?>"/>
            </td>
        </tr>

        <tr valign="top" id="touchpoint_text">
            <th scope="row">
                Web Touchpoint Text
            </th>
            <td>
                <?php settings_errors( 'tr_touchpoint_text', false, true ) ?>
                <input type="text" name="tr_touchpoint_text" value="<?php echo esc_attr( get_option('tr_touchpoint_text') ); ?>">
                <br>
                <span class="help-text">
                    Optional: enter some text to display before the ads.
                </span>
            </td>
        </tr>

    </table>

    <?php submit_button(); ?>

    </form>
</div>